/**
 * Created by IoTize on 19/04/2018.
 *
 * Split data into chunks with a size of maxPacketSize + 1
 * @param {Array} data
 * @param {number} maxPacketSize
 * @class
 */
export declare class BLEPacketSplitter {
    lastPacketSize: number;
    data: Uint8Array;
    maxPacketSize: number;
    currentPacketIndex: number;
    /**
     *
     * @param data
     * @param maxPacketSize
     */
    constructor(data: Uint8Array, maxPacketSize: number);
    /**
     * Create a BLEPacketSplitter instance from data and add the checksum at the end
     * @param {Array} data body data
     * @param {number} maxPacketSize packet size
     * @return {BLEPacketSplitter} the new instance
     */
    static wrapWithChecksum(data: Uint8Array, maxPacketSize: number): BLEPacketSplitter;
    getTotalNumberOfPacket(): number;
    getLastPacketSize(): number;
    getPackets(): Uint8Array[];
    getNextPacket(): Uint8Array;
    hasNextPacket(): boolean;
    static computeChecksum(data: Uint8Array): number;
    getTotalSize(): number;
}
